Loading...
Searching...
No Matches
mongocxx::v_noabi::events::topology_changed_event Class Reference

`#include <mongocxx/v_noabi/mongocxx/events/topology_changed_event.hpp>`

## Description

A change in the topology description (including its server descriptions).

See also
  - SDAM Logging and Monitoring Specification (MongoDB Specifications)

## Public Member Functions

| topology_changed_event (v1::events::topology_description_changed const &event)
| Construct with the mongocxx::v1 equivalent.
| topology_changed_event (void const *event)
topology_description | new_description () const
| The server's description after it changed.
| operator v1::events::topology_description_changed () const
| Convert to the mongocxx::v1 equivalent.
topology_description | previous_description () const
| The server's description before it changed.
bsoncxx::v_noabi::oid | topology_id () const
| An opaque id, unique to this topology for this mongocxx::v_noabi::client or mongocxx::v_noabi::pool.

## Constructor & Destructor Documentation

## topology_changed_event() [1/2]

mongocxx::v_noabi::events::topology_changed_event::topology_changed_event | ( | void const * | event | ) |

explicit

Deprecated
  For internal use only.

## topology_changed_event() [2/2]

mongocxx::v_noabi::events::topology_changed_event::topology_changed_event | ( | v1::events::topology_description_changed const & | event | ) |

inline

Construct with the mongocxx::v1 equivalent.

## Member Function Documentation

## new_description()

topology_description mongocxx::v_noabi::events::topology_changed_event::new_description | ( |  | ) | const

inline

The server's description after it changed.

Returns
  The topology_description.

## operator v1::events::topology_description_changed()

mongocxx::v_noabi::events::topology_changed_event::operator v1::events::topology_description_changed | ( |  | ) | const

inline explicit

Convert to the mongocxx::v1 equivalent.

## previous_description()

topology_description mongocxx::v_noabi::events::topology_changed_event::previous_description | ( |  | ) | const

inline

The server's description before it changed.

Returns
  The topology_description.

## topology_id()

bsoncxx::v_noabi::oid mongocxx::v_noabi::events::topology_changed_event::topology_id | ( |  | ) | const

inline

An opaque id, unique to this topology for this mongocxx::v_noabi::client or mongocxx::v_noabi::pool.

Returns
  The id.

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/events/topology_changed_event.hpp